%global dlrn_nvr ironic-python-agent-6.4.4.dev25-0.20210811101217.48ffbaa
%global dlrn 1
%define upstream_version 6.4.4.dev25
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{?!_licensedir:%global license %%doc}
%{!?upstream_version: %global upstream_version %{version}}

%global with_doc 0
%global sname ironic-python-agent

Name:       openstack-ironic-python-agent
Summary:    A python agent for provisioning and deprovisioning bare metal servers
Version: 6.4.4
Release: 0.20210811101217.48ffbaa%{?dist}
License:    ASL 2.0
URL:        https://github.com/openstack/ironic-python-agent

Source0: ironic-python-agent-6.4.4.dev25-0.20210811101217.48ffbaa.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=cfede0c5bc75ea61f42c1a17809586191ebb4edf

Source1:    openstack-ironic-python-agent.service
Source2:    ironic-python-agent-dist.conf

BuildArch:  noarch
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-devel
BuildRequires:  systemd
# These packages are required for running unit tests
BuildRequires: python3-eventlet
BuildRequires: python3-ironic-lib
BuildRequires: python3-iso8601
BuildRequires: python3-mock
BuildRequires: python3-oslo-config
BuildRequires: python3-oslo-concurrency
BuildRequires: python3-oslo-log
BuildRequires: python3-oslo-serialization
BuildRequires: python3-oslo-service
BuildRequires: python3-oslo-utils
BuildRequires: python3-oslotest
BuildRequires: python3-pecan
BuildRequires: python3-psutil
BuildRequires: python3-requests
BuildRequires: python3-stevedore
BuildRequires: python3-werkzeug
BuildRequires: openstack-macros
BuildRequires: python3-stestr
BuildRequires: python3-netifaces
BuildRequires: python3-pint
BuildRequires: python3-pyudev
BuildRequires: python3-rtslib
BuildRequires: python3-tenacity

Requires: python3-ironic-python-agent = %{version}-%{release}
%{?systemd_requires}

%description
An agent for controlling and deploying Ironic controlled bare metal nodes.

The ironic-python-agent works with the agent driver in Ironic to provision the
node. Starting with ironic-python-agent running on a ramdisk on the
unprovisioned node, Ironic makes API calls to ironic-python-agent to provision
the machine. This allows for greater control and flexibility of the entire
deployment process.

The ironic-python-agent may also be used with the original Ironic pxe drivers
as of the Kilo OpenStack release.

%package -n python3-ironic-python-agent
Summary:    Python library for the ironic python agent.
%{?python_provide:%python_provide python3-ironic-python-agent}

Requires: python3-eventlet >= 0.18.2
Requires: python3-ironic-lib >= 4.1.0
Requires: python3-netifaces >= 0.10.4
Requires: python3-oslo-concurrency >= 3.26.0
Requires: python3-oslo-config >= 2:5.2.0
Requires: python3-oslo-log >= 3.36.0
Requires: python3-oslo-serialization >= 2.18.0
Requires: python3-oslo-service >= 1.24.0
Requires: python3-oslo-utils >= 3.33.0
Requires: python3-pbr >= 2.0.0
Requires: python3-pint >= 0.5
Requires: python3-psutil >= 3.2.2
Requires: python3-pyudev >= 0.18
Requires: python3-requests >= 2.14.2
Requires: python3-rtslib >= 2.1.65
Requires: python3-stevedore >= 1.20.0
Requires: python3-systemd
Requires: python3-werkzeug >= 1.0.1
Requires: python3-tenacity >= 6.2.0

Requires: python3-hardware

%if 0%{?rhel} > 7
# RHEL8 requires a network-scripts package for ifcfg backwards compatibility
Requires:   network-scripts
%endif

%description -n python3-ironic-python-agent
Python library for ironic python agent.

%if 0%{?with_doc}
%package -n python-ironic-python-agent-doc
Summary:    Documentation for ironic python agent.
BuildRequires: python3-sphinx
BuildRequires: python3-sphinxcontrib-apidoc
BuildRequires: python3-sphinxcontrib-httpdomain
BuildRequires: python3-sphinxcontrib-pecanwsme
BuildRequires: python3-openstackdocstheme

%description -n python-ironic-python-agent-doc
Documentation for ironic python agent.
%endif

%prep
%autosetup -v -p 1 -n ironic-python-agent-%{upstream_version}

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{py3_build}

%install
%{py3_install}

%if 0%{?with_doc}
export PBR_VERSION=%{version}
export PYTHONPATH=.
sphinx-build -b html -d doc/build/doctrees doc/source doc/build/html
# Remove build docs leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

# install systemd scripts
mkdir -p %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}

# Install distribution config
install -p -D -m 640 %{SOURCE2} %{buildroot}/%{_sysconfdir}/ironic-python-agent/ironic-python-agent-dist.conf

%check

export PYTHON=%{__python3}
stestr --test-path ironic_python_agent/tests/unit run

%files
%doc README.rst
%license LICENSE
%config(noreplace) %attr(-,root,root) %{_sysconfdir}/ironic-python-agent
%{_bindir}/ironic-python-agent
%{_bindir}/ironic-collect-introspection-data
%{_unitdir}/openstack-ironic-python-agent.service

%files -n python3-ironic-python-agent
%license LICENSE
%{python3_sitelib}/ironic_python_agent
%{python3_sitelib}/ironic_python_agent*.egg-info

%if 0%{?with_doc}
%files -n python-ironic-python-agent-doc
%doc doc/build/html
%license LICENSE
%endif

%post
%systemd_post openstack-ironic-python-agent.service

%preun
%systemd_preun openstack-ironic-python-agent.service

%postun
%systemd_postun_with_restart openstack-ironic-python-agent.service

%changelog
* Fri Aug 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clarify connection error on heartbeats

* Thu Aug 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Clarify connection error on heartbeats
- Clarify connection error on heartbeats

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clarify connection error on heartbeats

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable the logs collection by default

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove experimental jobs

* Sat Aug 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Temporary disable multiple jobs to land CI fixes."

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase memory for tinyipa jobs
- Temporary disable multiple jobs to land CI fixes.

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add possibility to pass global request ID

* Wed Aug 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Switch the inspector job to tinyIPA until DIB is fixed"

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support changing the protocol part of callback_url to https

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix TypeError on agent lookup failure

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Examples: add deploy_steps examples
- Import example hardware managers from ipa-example-hardware-managers

* Wed Aug 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Extends pci devices metrics
- Hint 404 lookup failures for Operators

* Mon Aug 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- set EVENTLET_NO_GREENDNS to 'yes'

* Wed Jul 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Return the final RAID configuration from apply_configuration

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow erase_devices_metadata to be used as a deploy step

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update version of hacking
- Revert jobs to dib

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- More refactoring of the image module

* Sat Jul 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prevent un-needed iscsi cleanup

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix versions in release notes

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix bootloader install issue with MDRAID
- Adds poll mode deployment support

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set min version of tox to 3.2.1

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ignore devices with size 0 when collecting inventory

* Fri Jul 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update jobs

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Refactor part of image module

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Limit Inspection->Lookup->Heartbeat lag

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix serializing ironic-lib exceptions

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch the inspector job to tinyIPA until DIB is fixed

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase the ESP partition size to 550 MiB when using software RAID

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Mount all vfat partitions before calling grub2

* Wed Jul 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking min version to 3.0.1

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixes minor issues in the read() retries patch

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix confusing logging when running asynchronous commands
- Extend retries to 9, 10 seconds apart.

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add debug message to node lookup

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Temporary switch to tinyipa jobs

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Minor clean-up follow-up to timeout on read() fix

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add full download retries

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add timeout operations to try and prevent hang on read()

* Fri Jun 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make get_partition_uuids work with whole disk images
- Add a deploy step for writing an image

* Thu Jun 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove .travis.yml (wow, it is ancient)

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix apidoc build

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Split and move logic for partition tables

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ffi development lib to bindep

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Document how to output journal to console

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make the install_bootloader command asynchronous
- New extension call to return partition UUIDs

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- drop mock from lower-constraints

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert jobs to dib

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix an issue with high cpu usage caused by ironic-python-agent

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update lower-constraints.txt

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix pep8 errors

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- CI: raise DIB jobs memory to 3 GiB

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix TypeError with newer version of lshw
- Add function to calculate memory

* Sun May 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add py38 package metadata

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add timeout and retries when connection to an image server

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Upgrade flake8-import-order version to 0.17.1

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add raid.apply_configuration deploy step

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Mock get_node_boot_mode in software RAID unit tests
- Simplify deduplicate_steps

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop configuring install_command in tox.

* Sun Apr 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- A boot partition on a GPT disk should be considered an EFI partition

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix the token logic to be compatible with older ironic

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move minimum ironic version to latest ocata

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change default ram for tinyipa jobs

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move logic to calculate raid sectors to raid_utils

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused version parameter in version header function

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move logic for raid start sector to raid_utils

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add an ability to run in-band deploy steps

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Editing follow-up for UEFI Software RAID support

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest mock from standard library

* Mon Apr 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support
- Software RAID: Add UEFI support

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change ipa partition jobs to netboot

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Only check for partitions on devices that are part of software RAID
- Add jitter to inspection command reporting
- Allow specifying target devices for software RAID

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking to 3.0.0

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rescan after restarting the md device

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix GPT partition tables after agent writes contents

* Sun Mar 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Improve debug logging around Raid/Bootloader

* Wed Mar 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [trivial] Fix comment for Software RAID restart

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Return false for MBR bootloader check on UEFI machines

* Mon Mar 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Explicitly set ramdisk type

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix agent token vmedia use
- Use crypt to generate salt

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rescan devices before performing uefi checks
- Agent token support
- Amending ntp time sync release note
- Log the agent version
- Add NTP time sync
- Fixes error handling if efibootmgr is not present in ramdisk
- [doc] How to pause the IPA for debugging
- Ignore None md5 checksum field
- tgtd session detach test fails on Centos7
- Catch ValueError for FIPS 140-2 mode
- "fix" GenericHardwareManger unit test failure
- Convert apply_result to mock object
- Ignore pyudev errors about device number
- Tidy up relese notes for 6.0.0
- Skip read-only devices with metadata erase
- Expose collector and hardware manager names via introspection data
- Fix multiprocessing call in unit test
- Document introspection data and collectors
- Start installing DIB from Zuul-cloned sources in the CI
- Skip nic numa_node discovery if it's not assigned to a numa_node
- Avoid grub2-install when on UEFI boot mode
- Update hardware to 0.24,0
- Omit configdrive and system_logs from logging
- Lower RAM for DIB jobs to 2 GiB
- CI: add a non-voting partition-iscsi DIB job
- CI: make the metalsmith job voting and gating
- Allow reading root_device from instance_info
- Run publishing jobs with CentOS 8 instead of 7
- Remove deprecated ironic-agent element
- Enforce running tox with correct python version based on env
- Permit hashed passwords to be sent to IPA.
- Stop the API so rescue can exit and succeed
- Search for efi partition
- Replace WSME and Pecan with Werkzeug
- Software RAID: Use UUID to find root fs
- Replace netaddr dependency with stdlib ipaddress
- Remove the unused dependency on iso8601
- Remove the configuration sample file
- Stop using six library
- Collect lsblk and /proc/mdstat with ramdisk logs

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Rescan devices before performing uefi checks
- Agent token support
- Amending ntp time sync release note
- Log the agent version
- Add NTP time sync
- Fixes error handling if efibootmgr is not present in ramdisk
- [doc] How to pause the IPA for debugging
- Ignore None md5 checksum field
- tgtd session detach test fails on Centos7
- Catch ValueError for FIPS 140-2 mode
- "fix" GenericHardwareManger unit test failure
- Convert apply_result to mock object
- Ignore pyudev errors about device number
- Tidy up relese notes for 6.0.0
- Skip read-only devices with metadata erase
- Expose collector and hardware manager names via introspection data
- Fix multiprocessing call in unit test
- Document introspection data and collectors
- Start installing DIB from Zuul-cloned sources in the CI
- Skip nic numa_node discovery if it's not assigned to a numa_node
- Avoid grub2-install when on UEFI boot mode
- Update hardware to 0.24,0
- Omit configdrive and system_logs from logging
- Lower RAM for DIB jobs to 2 GiB
- CI: add a non-voting partition-iscsi DIB job
- CI: make the metalsmith job voting and gating
- Allow reading root_device from instance_info
- Run publishing jobs with CentOS 8 instead of 7
- Remove deprecated ironic-agent element
- Enforce running tox with correct python version based on env
- Permit hashed passwords to be sent to IPA.
- Stop the API so rescue can exit and succeed
- Search for efi partition
- Replace WSME and Pecan with Werkzeug
- Software RAID: Use UUID to find root fs
- Replace netaddr dependency with stdlib ipaddress
- Remove the unused dependency on iso8601
- Remove the configuration sample file
- Stop using six library
- Collect lsblk and /proc/mdstat with ramdisk logs
- Rescan devices before performing uefi checks
- Agent token support
- Amending ntp time sync release note
- Log the agent version
- Add NTP time sync
- Fixes error handling if efibootmgr is not present in ramdisk
- [doc] How to pause the IPA for debugging
- Ignore None md5 checksum field
- tgtd session detach test fails on Centos7
- Catch ValueError for FIPS 140-2 mode
- "fix" GenericHardwareManger unit test failure
- Convert apply_result to mock object
- Ignore pyudev errors about device number
- Tidy up relese notes for 6.0.0
- Skip read-only devices with metadata erase
- Expose collector and hardware manager names via introspection data
- Fix multiprocessing call in unit test
- Document introspection data and collectors
- Start installing DIB from Zuul-cloned sources in the CI
- Skip nic numa_node discovery if it's not assigned to a numa_node
- Avoid grub2-install when on UEFI boot mode
- Update hardware to 0.24,0
- Omit configdrive and system_logs from logging
- Lower RAM for DIB jobs to 2 GiB
- CI: add a non-voting partition-iscsi DIB job
- CI: make the metalsmith job voting and gating
- Allow reading root_device from instance_info
- Run publishing jobs with CentOS 8 instead of 7
- Remove deprecated ironic-agent element
- Enforce running tox with correct python version based on env
- Permit hashed passwords to be sent to IPA.
- Stop the API so rescue can exit and succeed
- Search for efi partition
- Replace WSME and Pecan with Werkzeug
- Software RAID: Use UUID to find root fs
- Replace netaddr dependency with stdlib ipaddress
- Remove the unused dependency on iso8601
- Remove the configuration sample file
- Stop using six library
- Collect lsblk and /proc/mdstat with ramdisk logs

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rescan devices before performing uefi checks

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Agent token support

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Amending ntp time sync release note
- Log the agent version
- Add NTP time sync
- Fixes error handling if efibootmgr is not present in ramdisk
- [doc] How to pause the IPA for debugging
- Ignore None md5 checksum field
- tgtd session detach test fails on Centos7
- Catch ValueError for FIPS 140-2 mode
- "fix" GenericHardwareManger unit test failure
- Convert apply_result to mock object
- Ignore pyudev errors about device number
- Tidy up relese notes for 6.0.0
- Skip read-only devices with metadata erase
- Expose collector and hardware manager names via introspection data
- Fix multiprocessing call in unit test
- Document introspection data and collectors
- Start installing DIB from Zuul-cloned sources in the CI
- Skip nic numa_node discovery if it's not assigned to a numa_node
- Avoid grub2-install when on UEFI boot mode
- Update hardware to 0.24,0
- Omit configdrive and system_logs from logging
- Lower RAM for DIB jobs to 2 GiB
- CI: add a non-voting partition-iscsi DIB job
- CI: make the metalsmith job voting and gating
- Allow reading root_device from instance_info
- Run publishing jobs with CentOS 8 instead of 7
- Remove deprecated ironic-agent element
- Enforce running tox with correct python version based on env
- Permit hashed passwords to be sent to IPA.
- Stop the API so rescue can exit and succeed
- Search for efi partition
- Replace WSME and Pecan with Werkzeug
- Software RAID: Use UUID to find root fs
- Replace netaddr dependency with stdlib ipaddress
- Remove the unused dependency on iso8601
- Remove the configuration sample file
- Stop using six library
- Collect lsblk and /proc/mdstat with ramdisk logs

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Remove the unused dependency on iso8601
- Remove the configuration sample file
- Remove the unused dependency on iso8601
- Remove the configuration sample file

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the unused dependency on iso8601
- Remove the configuration sample file

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "RAID 5/6"
- RAID 5/6

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename job to mention python3

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop python 2.7 support and testing"
- Drop python 2.7 support and testing

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Clean up options deprecated prehistory

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Bump up ipa-ip-lookup-attempts to 6"
- Bump up ipa-ip-lookup-attempts to 6

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not try to read raw disk data as unicode

* Mon Nov 11 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix instructions for enabling SSH on recent tinyipa images

* Tue Nov 05 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't try to put a bootloader in place when bootable
- Suppress errors from iscsi session cleanup

* Thu Oct 31 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch jobs to py3

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "[Trivial]: Typo in comment for _get_partition"
- [Trivial]: Typo in comment for _get_partition

* Mon Oct 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set rd.md.uuid kernel parameter when deploying on software raid"
- Set rd.md.uuid kernel parameter when deploying on software raid

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove imagebuild/common, it's not longer used by IPA-builder"
- Remove imagebuild/common, it's not longer used by IPA-builder

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to Ussuri job

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Correct string formatting in logging"
- Correct string formatting in logging

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Last resort fallback to find a partition

